Samba Update für ucs 2.2.0 bzw 2.2.2

german

#1

Hallo Zusammen,

gibt es eine Möglickeit das wir den Samba für 2.2.0 oder 2.2.2 UCS auf die Version 3.3.9 (wie bei ucs2.3) updaten können?

MfG

Franz


#2

Hallo,

Samba 3.3.9 ist für UCS 2.2-x bisher nicht Paketiert. Für den Join von Windows 7 Systemen kann allerdings auch die mit UCS 2.2-2 ausgelieferte Samba-Version (3.2.13) verwendet werden. Nähere Informationen dazu finden Sie im folgenden Artikel unserer Supportdatenbank: sdb.univention.de/1102

Mit freundlichen Grüßen
Janis Meybohm


#3

laut meinen Informationen wurde der Fehler von Samba erst in der Version 3.3.9 behoben.

Fehler: die verschlüsselung des Host Kennwortes auf dem Samba server ist falsch deshab kommt bei den Windows 7 Clients das Problem das sich nach ca. 30 Tagen der Client nicht mehr an der Domäne anmelden kann.

genaue Fehlerbeschreibung lautet:

Die Vertrauensstellung zwischen dieser Arbeitsstation und der primären Domäne konnte nicht hergestellt werden.

LG

Franz


#4

Kann ich Samba von UCS 2.2.2.4 mit den Paketen Updaten ohne das ich dann Probleme beim Updaten auf UCS 2.3.0.1 ?

Quelle: ftp.sernet.de/pub/samba/old/debi … /3.3.9-25/

-rw-r–r-- 1 root root 1,4M 2009-10-15 12:35 sernet-cifs-mount_3.3.9-25_i386.deb
-rw-r–r-- 1 root root 2,3M 2009-10-15 12:35 sernet-ldb-tools_3.3.9-25_i386.deb
-rw-r–r-- 1 root root 538K 2009-10-15 12:35 sernet-libpam-smbpass_3.3.9-25_i386.deb
-rw-r–r-- 1 root root 1,3M 2009-10-15 12:35 sernet-libsmbclient0_3.3.9-25_i386.deb
-rw-r–r-- 1 root root 1,9M 2009-10-15 12:35 sernet-libsmbclient-dev_3.3.9-25_i386.deb
-rw-r–r-- 1 root root 68K 2009-10-15 12:35 sernet-libwbclient0_3.3.9-25_i386.deb
-rw-r–r-- 1 root root 52K 2009-10-15 12:35 sernet-libwbclient-dev_3.3.9-25_i386.deb
-rw-r–r-- 1 root root 4,6M 2009-10-15 12:35 sernet-samba_3.3.9-25_i386.deb
-rw-r–r-- 1 root root 4,3M 2009-10-15 12:35 sernet-samba-common_3.3.9-25_i386.deb
-rw-r–r-- 1 root root 16M 2010-02-11 16:22 sernet-samba-dbg_3.3.9-25_i386.deb
-rw-r–r-- 1 root root 8,7M 2010-02-11 16:22 sernet-samba-doc_3.3.9-25_all.deb
-rw-r–r-- 1 root root 9,4M 2009-10-15 12:35 sernet-smbclient_3.3.9-25_i386.deb
-rw-r–r-- 1 root root 3,5M 2009-10-15 12:35 sernet-winbind_3.3.9-25_i386.deb

bei RPM Paketen hab ich die Erfahrung gemacht das die smb.conf überschrieben wird. (Backup von /etc/samba/ empfohlen)

LG
Franz


#5

Hallo,

ich glaube das wurde bisher noch nicht getestet. Vielleicht ist es aber einfacher die Samba UCS-Version aus UCS 2.3 einmal neu für UCS 2.2 zu übersetzen. Die Sourcen liegen hier:
apt.univention.de/2.3/unmaintained/2.3-0/source/
Von Samba 3.3.10 seit heute hier:
apt.univention.de/2.3/unmaintained/2.3-1/source/

Vom Prinzip her kann der Build so oder so ähnlich erfolgen:

 echo "deb-src http://apt.univention.de/2.3/unmaintained/ ucs_2.3-0-internal/source/" >>/etc/apt/sources.list
 apt-get update
 apt-get build-dep samba
 apt-get source -b samba

Das ist allerdings alles ungetestet.

Viele Grüße
Stefan Gohmann


#6

Vielen Dank für den testweisen Anfang leider bekomme ich das nicht hin so wie bei einem einfachen Installieren von Scalix :frowning:

LG

Franz hier meine Fehlermeldungen:

root@coppermaster:~# apt-get build-dep samba Paketlisten werden gelesen... Fertig Abhängigkeitsbaum wird aufgebaut... Fertig W: Duplicate sources.list entry http://apt.univention.de scalix/all/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_maintained_component_scalix_all_Packages) W: Duplicate sources.list entry http://apt.univention.de scalix/i386/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_maintained_component_scalix_i386_Packages) W: Probieren Sie âapt-get updateâ, um diese Probleme zu korrigieren. E: Konnte Datei /var/lib/apt/lists/apt.univention.de_2.2_maintained_component_scalix_source_Sources nicht öffnen - open (2 Datei oder Verzeichnis nicht gefunden) root@coppermaster:~# apt-get source -b samba Paketlisten werden gelesen... Fertig Abhängigkeitsbaum wird aufgebaut... Fertig W: Kann nicht auf die Liste http://apt.univention.de scalix/extern/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_maintained_component_scalix_extern_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de scalix/extern/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_maintained_component_scalix_extern_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.2-3/all/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_maintained_2.2-3_all_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.2-3/i386/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_maintained_2.2-3_i386_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.0-0/all/ Packages (/var/lib/apt/lists/apt.univention.de_2.0_unmaintained_2.0-0_all_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.0-0/extern/ Packages (/var/lib/apt/lists/apt.univention.de_2.0_unmaintained_2.0-0_extern_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.0-0/i386/ Packages (/var/lib/apt/lists/apt.univention.de_2.0_unmaintained_2.0-0_i386_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.0-1/all/ Packages (/var/lib/apt/lists/apt.univention.de_2.0_unmaintained_2.0-1_all_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.0-1/i386/ Packages (/var/lib/apt/lists/apt.univention.de_2.0_unmaintained_2.0-1_i386_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.0-2/all/ Packages (/var/lib/apt/lists/apt.univention.de_2.0_unmaintained_2.0-2_all_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.0-2/i386/ Packages (/var/lib/apt/lists/apt.univention.de_2.0_unmaintained_2.0-2_i386_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.1-0/all/ Packages (/var/lib/apt/lists/apt.univention.de_2.1_unmaintained_2.1-0_all_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.1-0/extern/ Packages (/var/lib/apt/lists/apt.univention.de_2.1_unmaintained_2.1-0_extern_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.1-0/i386/ Packages (/var/lib/apt/lists/apt.univention.de_2.1_unmaintained_2.1-0_i386_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.1-1/all/ Packages (/var/lib/apt/lists/apt.univention.de_2.1_unmaintained_2.1-1_all_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.1-1/i386/ Packages (/var/lib/apt/lists/apt.univention.de_2.1_unmaintained_2.1-1_i386_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.1-2/all/ Packages (/var/lib/apt/lists/apt.univention.de_2.1_unmaintained_2.1-2_all_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.1-2/extern/ Packages (/var/lib/apt/lists/apt.univention.de_2.1_unmaintained_2.1-2_extern_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.1-2/i386/ Packages (/var/lib/apt/lists/apt.univention.de_2.1_unmaintained_2.1-2_i386_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.2-0/all/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_2.2-0_all_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.2-0/extern/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_2.2-0_extern_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.2-0/i386/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_2.2-0_i386_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.2-1/all/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_2.2-1_all_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.2-1/extern/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_2.2-1_extern_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.2-1/i386/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_2.2-1_i386_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.2-2/all/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_2.2-2_all_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.2-2/extern/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_2.2-2_extern_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de 2.2-2/i386/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_2.2-2_i386_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de sec1/all/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_sec1_all_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de sec1/extern/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_sec1_extern_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de sec1/i386/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_sec1_i386_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de sec2/all/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_sec2_all_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de sec2/extern/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_sec2_extern_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de sec2/i386/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_sec2_i386_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de sec3/all/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_sec3_all_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de sec3/extern/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_sec3_extern_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de sec3/i386/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_sec3_i386_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de sec4/all/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_sec4_all_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de sec4/extern/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_sec4_extern_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Kann nicht auf die Liste http://apt.univention.de sec4/i386/ Packages (/var/lib/apt/lists/apt.univention.de_2.2_unmaintained_sec4_i386_Packages) der Quellpakete zugreifen. - stat (2 Datei oder Verzeichnis nicht gefunden) W: Probieren Sie âapt-get updateâ, um diese Probleme zu korrigieren. E: Konnte Datei /var/lib/apt/lists/apt.univention.de_2.2_maintained_component_scalix_source_Sources nicht öffnen - open (2 Datei oder Verzeichnis nicht gefunden)


#7

Da stimmt irgendetwas noch nicht mit den Einträgen in der sources.list und den erzeugten sources.list.d/* Dateien. Am einfachsten die folgenden Kommandos (ungetestet) ausführen - natürlich sollten von allen Dateien vorher Backups erstellt werden, falls dort Ergänzungen enthalten sind:

rm /etc/apt/sources.list /etc/apt/sources.list.d/* ucr set repository/online/server=apt.univention.de rm /var/lib/apt/lists/* echo "deb-src http://apt.univention.de/2.3/unmaintained/ ucs_2.3-0-internal/source/" >>/etc/apt/sources.list apt-get update apt-get build-dep samba apt-get source -b samba

Viele Grüße
Stefan Gohmann


#8

Hole:70 apt.univention.de sec4/all/ Packages [5364B]
Hole:71 apt.univention.de sec4/extern/ Packages [29B]
Hole:72 apt.univention.de sec4/i386/ Packages [15,3kB]
Hole:73 apt.univention.de scalix/all/ Packages [3186B]
Hole:74 apt.univention.de scalix/extern/ Packages [6892B]
Hole:75 apt.univention.de scalix/i386/ Packages [3630B]
Es wurden 1263kB in 44s geholt (28,4kB/s)
Konnte apt.univention.de/2.3/unmaintain … Sources.gz nicht holen 302 Found
Paketlisten werden gelesen… Fertig
E: Einige Indexdateien konnten nicht heruntergeladen werden, sie wurden ignoriert oder alte an ihrer Stelle benutzt.
root@coppermaster:~# apt-get build-dep samba
Paketlisten werden gelesen… Fertig
Abhängigkeitsbaum wird aufgebaut… Fertig
E: Konnte Datei /var/lib/apt/lists/apt.univention.de_2.3_unmaintained_ucs%5f2.3-0-internal_source_Sources nicht öffnen - open (2 Datei oder Verzeichnis nicht gefunden)
root@coppermaster:~# apt-get source -b samba
Paketlisten werden gelesen… Fertig
Abhängigkeitsbaum wird aufgebaut… Fertig
E: Konnte Datei /var/lib/apt/lists/apt.univention.de_2.3_unmaintained_ucs%5f2.3-0-internal_source_Sources nicht öffnen - open (2 Datei oder Verzeichnis nicht gefunden)

1:1 getestet und jetzt noch immer ein kleiner Fehler scheint mir :slight_smile:

Bin ich hier richtig mit meiner kleinen Änderung oder eher am Holzpfad?

OK http://apt.univention.de sec4/i386/ Packages OK http://apt.univention.de scalix/all/ Packages OK http://apt.univention.de scalix/extern/ Packages OK http://apt.univention.de scalix/i386/ Packages Es wurden 13,2kB in 24s geholt (538B/s) Paketlisten werden gelesen... Fertig root@coppermaster:~# apt-get build-dep samba Paketlisten werden gelesen... Fertig Abhängigkeitsbaum wird aufgebaut... Fertig E: Build-Depends Abhängigkeit für samba kann nicht befriedigt werden, da Paket libcap2-dev nicht gefunden werden kann. root@coppermaster:~# cat /etc/apt/sources.list deb-src http://apt.univention.de/2.3/unmaintained/ 2.3-1/source/

LG

Franz


#9

Mein Fehler, bitte die obere Zeile durch diese tauschen:

echo "deb-src http://apt.univention.de/2.3/unmaintained/ 2.3-0/source/" >>/etc/apt/sources.list

Falls noch nicht geschehen, dass müssen ggf. auch noch die unmaintained-Pakete eingebunden werden, da vermutlich nicht alle Build-Abhängigkeiten in maintained liegen:
ucr set repository/online/unmaintained=“yes”

Viele Grüße
Stefan Gohmann


#10

OK apt.univention.de sec4/all/ Packages
OK apt.univention.de sec4/extern/ Packages
OK apt.univention.de sec4/i386/ Packages
Paketlisten werden gelesen… Fertig
root@coppermaster:~# apt-get build-dep samba
root@coppermaster:~# apt-get build-dep samba
Paketlisten werden gelesen… Fertig
Abhängigkeitsbaum wird aufgebaut… Fertig
E: Build-Depends Abhängigkeit für samba kann nicht befriedigt werden, da Paket libcap2-dev nicht gefunden werden kann.
root@coppermaster:~# apt-get source -b samba
Paketlisten werden gelesen… Fertig
Abhängigkeitsbaum wird aufgebaut… Fertig
Es müssen 26,4MB der Quellarchive geholt werden.
Hole:1 apt.univention.de 2.3-1/source/ samba 2:3.3.10-1.409.201002041830 (dsc) [1753B]
Hole:2 apt.univention.de 2.3-1/source/ samba 2:3.3.10-1.409.201002041830 (tar) [26,4MB]
Es wurden 26,4MB in 3m55s geholt (112kB/s)
dpkg-source: warning: extracting unsigned source package (./samba_3.3.10-1.409.201002041830.dsc)
dpkg-source: extracting samba in samba-3.3.10
dpkg-source: unpacking samba_3.3.10-1.409.201002041830.tar.gz

warte schon seit 11:58:37 darauf ob sich etwas tut.

:frowning:

hab jetzt abgebrochen Di 2. Mär 16:32:20 CET 2010

dpkg-buildpackage: source package is samba
dpkg-buildpackage: source version is 2:3.3.10-1.409.201002041830
dpkg-buildpackage: source changed by Univention builddaemon buildd@univention.de
sh: gcc: command not found
dpkg-architecture: warning: Couldn’t determine gcc system type, falling back to default (native compilation)
sh: gcc: command not found
dpkg-architecture: warning: Couldn’t determine gcc system type, falling back to default (native compilation)
dpkg-buildpackage: host architecture i386
dpkg-buildpackage: source version without epoch 3.3.10-1.409.201002041830
sh: gcc: command not found
dpkg-architecture: warning: Couldn’t determine gcc system type, falling back to default (native compilation)
sh: gcc: command not found
dpkg-architecture: warning: Couldn’t determine gcc system type, falling back to default (native compilation)
sh: gcc: command not found
dpkg-architecture: warning: Couldn’t determine gcc system type, falling back to default (native compilation)
dpkg-checkbuilddeps: Unmet build dependencies: debhelper libpam0g-dev libreadline5-dev libcups2-dev | libcupsys2-dev libacl1-dev libkrb5-dev libldap2-dev po-debconf libpopt-dev quilt uuid-dev libtalloc-dev (>= 1.2.0~git20080616) libcap2-dev libkeyutils-dev ctdb (>= 1.0.73) libxml2-dev autoconf python2.4-dev
dpkg-buildpackage: Build dependencies/conflicts unsatisfied; aborting.
dpkg-buildpackage: (Use -d flag to override.)
Build-Befehl „cd samba-3.3.10 && dpkg-buildpackage -b -uc“ fehlgeschlagen.
E: Kindprozess fehlgeschlagen

LG
Franz


#11

Es wurden keine Build-Abhängigkeiten installiert:

[quote=“FJE_84”][…]
root@coppermaster:~# apt-get build-dep samba
Paketlisten werden gelesen… Fertig
Abhängigkeitsbaum wird aufgebaut… Fertig
E: Build-Depends Abhängigkeit für samba kann nicht befriedigt werden, da Paket libcap2-dev nicht gefunden werden kann.
[/quote]

Das Paket libcap2-dev gibt es erst seit UCS 2.3. Entweder das Paket auch von Hand bauen oder versuchen Samba ohne libcap2-dev zu bauen oder ein alternatives Paket suchen.

Viele Grüße
Stefan Gohmann


#12

Wir haben die UCS 2.3 Samba Pakete für UCS 2.2 zurückportiert, Samba 3.3.10. Bisher haben wir die Pakete nur oberflächlich getestet und würden uns über Rückmeldungen freuen. Installiert werden können die Pakete mit den folgenden Befehlen: ucr set repository/online/component/samba3.3=enabled \ repository/online/component/samba3.3/server=apt.univention.de \ repository/online/component/samba3.3/parts=unmaintained apt-get update DEBIAN_FRONTEND=noninteractive apt-get dist-upgrade

Viele Grüße
Stefan Gohmann